* {
  box-sizing: border-box;
}

body {
  max-width: 28rem;
  margin: 0 auto;
  padding: 0 0.5rem;

  font-family: system-ui, sans-serif;
}

body > div {
  margin: 0.5rem 0;
}

.field {
  margin: 0.5rem 0;
}

.field:first-child {
  margin-top: 0;
}

.field > label {
  display: block;
  user-select: none;
  font-size: 0.9rem;
}

.field > input {
  display: block;
  width: 100%;

  outline: none;
  border: 1px solid #777;
  border-radius: 0.25rem;

  font-size: 1.25rem;
}

details > summary {
  user-select: none;
  cursor: pointer;
  list-style: none;

  display: flex;
  flex-direction: row;
  align-items: center;
}

details > summary::before {
  content: '+';
  margin-right: 0.25rem;

  font-size: 1.25rem;
  font-weight: bold;

  transition:
    color 0.15s ease,
    transform 0.15s ease;
}

details[open] > summary::before {
  color: #0076d1;
  transform: rotateZ(45deg);
}

.submit {
  margin-top: 0.75rem;
}

button {
  padding: 0.325rem 1rem;

  outline: none;
  border: none;
  border-radius: 0.325rem;

  cursor: pointer;
  background: linear-gradient(120deg, #77888f, #364e59);
  color: #fff;

  font-size: 1.25rem;
  font-weight: bold;
}

button:hover {
  text-decoration: underline;
}

a {
  color: #0076d1;
  font-size: 1.125rem;
}

img {
  max-width: 100%;
}
